Loading...
Searching...
No Matches
hashmap.h File Reference
`#include "printer.h"`
`#include "scoped_mutex_lock.h"`

Go to the source code of this file.

## Classes

struct | Halide::Runtime::Internal::CacheEntry
struct | Halide::Runtime::Internal::HashMap
struct | Halide::Runtime::Internal::THashMap< KeyType, ValueType >

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal

## Macros

#define | hashmap_malloc(user_context, size)
#define | hashmap_free(user_context, memory)

## Typedefs

typedef void(* | Halide::Runtime::Internal::copy_value_func) (uint8_t *dst, const uint8_t *src, size_t size)
typedef void(* | Halide::Runtime::Internal::destroy_value_func) (uint8_t *value, size_t size)

## Functions

bool | Halide::Runtime::Internal::keys_equal (const uint8_t *key1, const uint8_t *key2, size_t key_size)
uint32_t | Halide::Runtime::Internal::djb_hash (const uint8_t *key, size_t key_size)

## Macro Definition Documentation

## hashmap_malloc

#define hashmap_malloc | ( |  | user_context,
|  |  | size )

Value:
halide_malloc(user_context, size)
halide_malloc
void * halide_malloc(void *user_context, size_t x)
Halide calls these functions to allocate and free memory.

Definition at line 15 of file hashmap.h.

Referenced by Halide::Runtime::Internal::CacheEntry::init(), and Halide::Runtime::Internal::HashMap::store().

## hashmap_free

#define hashmap_free | ( |  | user_context,
|  |  | memory )

Value:
halide_free(user_context, memory)
halide_free
void halide_free(void *user_context, void *ptr)

Definition at line 19 of file hashmap.h.

Referenced by Halide::Runtime::Internal::HashMap::cleanup(), Halide::Runtime::Internal::CacheEntry::destroy(), and Halide::Runtime::Internal::HashMap::prune().